diff --git a/webapp/packages/supersonic-fe/src/pages/SemanticModel/components/CommonEditList/TextArea.tsx b/webapp/packages/supersonic-fe/src/pages/SemanticModel/components/CommonEditList/TextArea.tsx
new file mode 100644
index 000000000..886070ca5
--- /dev/null
+++ b/webapp/packages/supersonic-fe/src/pages/SemanticModel/components/CommonEditList/TextArea.tsx
@@ -0,0 +1,166 @@
+import React, { useState, useEffect } from 'react';
+import { List, Collapse, Button, Input } from 'antd';
+import { uuid } from '@/utils/utils';
+
+import styles from './style.less';
+
+const { Panel } = Collapse;
+const { TextArea } = Input;
+
+type Props = {
+  title?: string;
+  defaultCollapse?: boolean;
+  value?: string[];
+  onChange?: (list: string[]) => void;
+};
+
+type ListItem = {
+  id: string;
+  sql: string;
+};
+
+type List = ListItem[];
+
+const CommonEditList: React.FC<Props> = ({ title, defaultCollapse = false, value, onChange }) => {
+  const [listDataSource, setListDataSource] = useState<List>([]);
+  const [currentSql, setCurrentSql] = useState<string>('');
+  const [activeKey, setActiveKey] = useState<string>();
+  const [currentRecord, setCurrentRecord] = useState<ListItem>();
+
+  useEffect(() => {
+    if (Array.isArray(value)) {
+      const list = value.map((sql: string) => {
+        return {
+          id: uuid(),
+          sql,
+        };
+      });
+      setListDataSource(list);
+    }
+  }, [value]);
+
+  const handleListChange = (listDataSource: List) => {
+    const sqlList = listDataSource.map((item) => {
+      return item.sql;
+    });
+    onChange?.(sqlList);
+  };
+
+  return (
+    <div className={styles.commonEditList}>
+      <Collapse
+        activeKey={activeKey}
+        defaultActiveKey={defaultCollapse ? ['editor'] : undefined}
+        onChange={() => {}}
+        ghost
+      >
+        <Panel
+          header={title}
+          key="editor"
+          extra={
+            activeKey ? (
+              <Button
+                key="saveBtn"
+                type="primary"
+                onClick={() => {
+                  if (!currentRecord && !currentSql) {
+                    setActiveKey(undefined);
+                    return;
+                  }
+                  if (currentRecord) {
+                    const list = [...listDataSource].map((item) => {
+                      if (item.id === currentRecord.id) {
+                        return {
+                          ...item,
+                          sql: currentSql,
+                        };
+                      }
+                      return item;
+                    });
+                    setListDataSource(list);
+                    handleListChange(list);
+                  } else {
+                    const list = [
+                      ...listDataSource,
+                      {
+                        id: uuid(),
+                        sql: currentSql,
+                      },
+                    ];
+                    setListDataSource(list);
+                    handleListChange(list);
+                  }
+
+                  setActiveKey(undefined);
+                }}
+              >
+                确认
+              </Button>
+            ) : (
+              <Button
+                type="primary"
+                key="createBtn"
+                onClick={() => {
+                  setCurrentRecord(undefined);
+                  setCurrentSql('');
+                  setActiveKey('editor');
+                }}
+              >
+                新增
+              </Button>
+            )
+          }
+          showArrow={false}
+        >
+          <div>
+            <TextArea
+              placeholder="请输入推荐问题"
+              value={currentSql}
+              style={{ height: 150 }}
+              minLength={5}
+              onChange={(e) => {
+                setCurrentSql(e.target.value);
+              }}
+            />
+          </div>
+        </Panel>
+      </Collapse>
+      <List
+        itemLayout="horizontal"
+        dataSource={listDataSource || []}
+        renderItem={(item) => (
+          <List.Item
+            actions={[
+              <a
+                key="list-loadmore-edit"
+                onClick={() => {
+                  setCurrentSql(item.sql);
+                  setCurrentRecord(item);
+                  setActiveKey('editor');
+                }}
+              >
+                编辑
+              </a>,
+              <a
+                key="list-loadmore-more"
+                onClick={() => {
+                  const list = [...listDataSource].filter(({ id }) => {
+                    return item.id !== id;
+                  });
+                  handleListChange(list);
+                  setListDataSource(list);
+                }}
+              >
+                删除
+              </a>,
+            ]}
+          >
+            <List.Item.Meta title={item.sql} />
+          </List.Item>
+        )}
+      />
+    </div>
+  );
+};
+
+export default CommonEditList;
diff --git a/webapp/packages/supersonic-fe/src/pages/SemanticModel/components/CommonEditTable.tsx b/webapp/packages/supersonic-fe/src/pages/SemanticModel/components/CommonEditTable.tsx
index 02bf2783f..5139a9752 100644
--- a/webapp/packages/supersonic-fe/src/pages/SemanticModel/components/CommonEditTable.tsx
+++ b/webapp/packages/supersonic-fe/src/pages/SemanticModel/components/CommonEditTable.tsx
@@ -9,7 +9,7 @@ type Props = {
   title?: string;
   tableDataSource: any[];
   columnList: any[];
-  rowKey: string;
+  rowKey?: string;
   editableProTableProps?: any;
   onDataSourceChange?: (dataSource: any) => void;
   extenderCtrlColumn?: (text, record, _, action) => ReactNode[];
@@ -35,6 +35,7 @@ const CommonEditTable: React.FC<Props> = forwardRef(
     }: Props,
     ref: Ref<any>,
   ) => {
+    const defaultRowKey = rowKey || 'editRowId';
     const [dataSource, setDataSource] = useState<any[]>(tableDataSource);
     const actionRef = useRef<ActionType>();
 
@@ -50,7 +51,7 @@ const CommonEditTable: React.FC<Props> = forwardRef(
         tableDataSource.map((item: any) => {
           return {
             ...item,
-            editRowId: item[rowKey] || (Math.random() * 1000000).toFixed(0),
+            editRowId: item[defaultRowKey] || (Math.random() * 1000000).toFixed(0),
           };
         }),
       );
@@ -82,7 +83,9 @@ const CommonEditTable: React.FC<Props> = forwardRef(
               <a
                 key="deleteBtn"
                 onClick={() => {
-                  const data = [...dataSource].filter((item) => item[rowKey] !== record[rowKey]);
+                  const data = [...dataSource].filter(
+                    (item) => item[defaultRowKey] !== record[defaultRowKey],
+                  );
                   setDataSource(data);
                   handleDataSourceChange(data);
                 }}
@@ -111,7 +114,7 @@ const CommonEditTable: React.FC<Props> = forwardRef(
           key={title}
           actionRef={actionRef}
           headerTitle={title}
-          rowKey={'editRowId'}
+          rowKey={defaultRowKey}
           columns={columns}
           value={dataSource}
           tableAlertRender={() => {
@@ -133,9 +136,9 @@ const CommonEditTable: React.FC<Props> = forwardRef(
           }}
           editable={{
             onSave: (_, row) => {
-              const rowKeyValue = row[rowKey];
+              const rowKeyValue = row[defaultRowKey];
               const isSame = dataSource.filter((item: any, index: number) => {
-                return index !== row.index && item[rowKey] === rowKeyValue;
+                return index !== row.index && item[defaultRowKey] === rowKeyValue;
               });
               if (isSame[0]) {
                 message.error('存在重复值');
diff --git a/webapp/packages/supersonic-fe/src/pages/SemanticModel/components/Database/DatabaseCreateForm.tsx b/webapp/packages/supersonic-fe/src/pages/SemanticModel/components/Database/DatabaseCreateForm.tsx
index 402e53404..803b947fe 100644
--- a/webapp/packages/supersonic-fe/src/pages/SemanticModel/components/Database/DatabaseCreateForm.tsx
+++ b/webapp/packages/supersonic-fe/src/pages/SemanticModel/components/Database/DatabaseCreateForm.tsx
@@ -20,15 +20,8 @@ const DatabaseCreateForm: ForwardRefRenderFunction<any, Props> = (
 ) => {
   const [form] = Form.useForm();
   const [selectedDbType, setSelectedDbType] = useState<string>('h2');
-  // const queryDatabaseConfig = async () => {
-  //   const { code, data } = await getDatabaseByDomainId(domainId);
-  //   if (code === 200) {
-  //     form.setFieldsValue({ ...data });
-  //     setSelectedDbType(data?.type);
-  //     return;
-  //   }
-  //   message.error('数据库配置获取错误');
-  // };
+
+  const [testLoading, setTestLoading] = useState<boolean>(false);
 
   useEffect(() => {
     form.resetFields();
@@ -36,11 +29,6 @@ const DatabaseCreateForm: ForwardRefRenderFunction<any, Props> = (
     setSelectedDbType(dataBaseConfig?.type);
   }, [dataBaseConfig]);
 
-  // useEffect(() => {
-  //   form.resetFields();
-  //   // queryDatabaseConfig();
-  // }, [domainId]);
-
   const getFormValidateFields = async () => {
     return await form.validateFields();
   };
@@ -65,10 +53,12 @@ const DatabaseCreateForm: ForwardRefRenderFunction<any, Props> = (
   };
   const testDatabaseConnection = async () => {
     const values = await form.validateFields();
+    setTestLoading(true);
     const { code, data } = await testDatabaseConnect({
       ...values,
       domainId,
     });
+    setTestLoading(false);
     if (code === 200 && data) {
       message.success('连接测试通过');
       return;
@@ -138,7 +128,9 @@ const DatabaseCreateForm: ForwardRefRenderFunction<any, Props> = (
         <FormItem name="database" label="数据库名称">
           <Input placeholder="请输入数据库名称" />
         </FormItem>
-
+        <FormItem name="version" label="数据库版本">
+          <Input placeholder="请输入数据库版本" />
+        </FormItem>
         <FormItem name="description" label="描述">
           <TextArea placeholder="请输入数据库描述" style={{ height: 100 }} />
         </FormItem>
@@ -146,6 +138,7 @@ const DatabaseCreateForm: ForwardRefRenderFunction<any, Props> = (
           <Space>
             <Button
               type="primary"
+              loading={testLoading}
               onClick={() => {
                 testDatabaseConnection();
               }}
diff --git a/webapp/packages/supersonic-fe/src/pages/SemanticModel/components/DimensionInfoModal.tsx b/webapp/packages/supersonic-fe/src/pages/SemanticModel/components/DimensionInfoModal.tsx
index efddaee79..9e95fc1f6 100644
--- a/webapp/packages/supersonic-fe/src/pages/SemanticModel/components/DimensionInfoModal.tsx
+++ b/webapp/packages/supersonic-fe/src/pages/SemanticModel/components/DimensionInfoModal.tsx
@@ -1,4 +1,4 @@
-import React, { useEffect } from 'react';
+import React, { useEffect, useState } from 'react';
 import { Button, Form, Input, Modal, Select } from 'antd';
 import { SENSITIVE_LEVEL_OPTIONS } from '../constant';
 import { formLayout } from '@/components/FormHelper/utils';
@@ -6,6 +6,7 @@ import SqlEditor from '@/components/SqlEditor';
 import InfoTagList from './InfoTagList';
 import { ISemantic } from '../data';
 import { createDimension, updateDimension } from '../service';
+// import DimensionValueSettingModal from './DimensionValueSettingModal';
 import { message } from 'antd';
 
 export type CreateFormProps = {
@@ -31,16 +32,28 @@ const DimensionInfoModal: React.FC<CreateFormProps> = ({
   onSubmit: handleUpdate,
 }) => {
   const isEdit = !!dimensionItem?.id;
-
+  const [dimensionValueSettingList, setDimensionValueSettingList] = useState<
+    ISemantic.IDimensionValueSettingItem[]
+  >([]);
   const [form] = Form.useForm();
   const { setFieldsValue, resetFields } = form;
-
-  const handleSubmit = async () => {
+  // const [dimensionValueSettingModalVisible, setDimensionValueSettingModalVisible] =
+  //   useState<boolean>(false);
+  const handleSubmit = async (
+    isSilenceSubmit = false,
+    dimValueMaps?: ISemantic.IDimensionValueSettingItem[],
+  ) => {
     const fieldsValue = await form.validateFields();
-    await saveDimension(fieldsValue);
+    await saveDimension(
+      {
+        ...fieldsValue,
+        dimValueMaps: dimValueMaps || dimensionValueSettingList,
+      },
+      isSilenceSubmit,
+    );
   };
 
-  const saveDimension = async (fieldsValue: any) => {
+  const saveDimension = async (fieldsValue: any, isSilenceSubmit = false) => {
     const queryParams = {
       domainId,
       type: 'categorical',
@@ -52,8 +65,10 @@ const DimensionInfoModal: React.FC<CreateFormProps> = ({
     }
     const { code, msg } = await saveDimensionQuery(queryParams);
     if (code === 200) {
-      message.success('编辑维度成功');
-      handleUpdate(fieldsValue);
+      if (!isSilenceSubmit) {
+        message.success('编辑维度成功');
+        handleUpdate(fieldsValue);
+      }
       return;
     }
     message.error(msg);
@@ -66,6 +81,11 @@ const DimensionInfoModal: React.FC<CreateFormProps> = ({
   useEffect(() => {
     if (dimensionItem) {
       setFormVal();
+      if (Array.isArray(dimensionItem.dimValueMaps)) {
+        setDimensionValueSettingList(dimensionItem.dimValueMaps);
+      } else {
+        setDimensionValueSettingList([]);
+      }
     } else {
       resetFields();
     }
@@ -78,7 +98,12 @@ const DimensionInfoModal: React.FC<CreateFormProps> = ({
     return (
       <>
         <Button onClick={onCancel}>取消</Button>
-        <Button type="primary" onClick={handleSubmit}>
+        <Button
+          type="primary"
+          onClick={() => {
+            handleSubmit();
+          }}
+        >
           完成
         </Button>
       </>
@@ -93,20 +118,22 @@ const DimensionInfoModal: React.FC<CreateFormProps> = ({
         </FormItem>
         <FormItem
           name="name"
-          label="维度中文名"
-          rules={[{ required: true, message: '请输入维度中文名' }]}
+          label="维度名称"
+          rules={[{ required: true, message: '请输入维度名称' }]}
         >
           <Input placeholder="名称不可重复" />
         </FormItem>
         <FormItem
+          hidden={isEdit}
           name="bizName"
-          label="维度英文名"
-          rules={[{ required: true, message: '请输入维度英文名' }]}
+          label="字段名称"
+          rules={[{ required: true, message: '请输入字段名称' }]}
         >
           <Input placeholder="名称不可重复" disabled={isEdit} />
         </FormItem>
 
         <FormItem
+          hidden={isEdit}
           name="datasourceId"
           label="所属数据源"
           rules={[{ required: true, message: '请选择所属数据源' }]}
@@ -158,6 +185,16 @@ const DimensionInfoModal: React.FC<CreateFormProps> = ({
         >
           <TextArea placeholder="请输入维度描述" />
         </FormItem>
+        {/* <FormItem name="dimValueMaps" label="维度值设置">
+          <Button
+            type="primary"
+            onClick={() => {
+              setDimensionValueSettingModalVisible(true);
+            }}
+          >
+            设置
+          </Button>
+        </FormItem> */}
         <FormItem
           name="expr"
           label="表达式"
@@ -171,28 +208,38 @@ const DimensionInfoModal: React.FC<CreateFormProps> = ({
   };
 
   return (
-    <Modal
-      width={800}
-      destroyOnClose
-      title="维度信息"
-      style={{ top: 48 }}
-      maskClosable={false}
-      open={bindModalVisible}
-      footer={renderFooter()}
-      onCancel={onCancel}
-    >
-      <Form
-        {...formLayout}
-        form={form}
-        initialValues={
-          {
-            // ...formVals,
-          }
-        }
+    <>
+      <Modal
+        width={800}
+        destroyOnClose
+        title="维度信息"
+        style={{ top: 48 }}
+        maskClosable={false}
+        open={bindModalVisible}
+        footer={renderFooter()}
+        onCancel={onCancel}
       >
-        {renderContent()}
-      </Form>
-    </Modal>
+        <Form {...formLayout} form={form}>
+          {renderContent()}
+        </Form>
+      </Modal>
+      {/* {dimensionValueSettingModalVisible && (
+        <DimensionValueSettingModal
+          dimensionValueSettingList={dimensionValueSettingList}
+          open={dimensionValueSettingModalVisible}
+          onCancel={() => {
+            setDimensionValueSettingModalVisible(false);
+          }}
+          onSubmit={(dimValueMaps) => {
+            if (isEdit) {
+              handleSubmit(true, dimValueMaps);
+            }
+            setDimensionValueSettingList(dimValueMaps);
+            setDimensionValueSettingModalVisible(false);
+          }}
+        />
+      )} */}
+    </>
   );
 };
 
diff --git a/webapp/packages/supersonic-fe/src/pages/SemanticModel/components/DimensionValueSettingModal.tsx b/webapp/packages/supersonic-fe/src/pages/SemanticModel/components/DimensionValueSettingModal.tsx
new file mode 100644
index 000000000..21e0412e7
--- /dev/null
+++ b/webapp/packages/supersonic-fe/src/pages/SemanticModel/components/DimensionValueSettingModal.tsx
@@ -0,0 +1,156 @@
+import React, { useEffect, useState } from 'react';
+import { Button, Modal, message } from 'antd';
+import { ISemantic } from '../data';
+import CommonEditTable from './CommonEditTable';
+import { createDimension, updateDimension } from '../service';
+import { connect } from 'umi';
+import type { StateType } from '../model';
+
+export type CreateFormProps = {
+  dimensionValueSettingList: ISemantic.IDimensionValueSettingItem[];
+  onCancel: () => void;
+  dimensionItem?: ISemantic.IDimensionItem;
+  open: boolean;
+  onSubmit: (values?: any) => void;
+  domainManger: StateType;
+};
+
+type TableDataSource = { techName: string; bizName: string; alias: string };
+
+const DimensionInfoModal: React.FC<CreateFormProps> = ({
+  onCancel,
+  open,
+  dimensionItem,
+  dimensionValueSettingList,
+  domainManger,
+  onSubmit,
+}) => {
+  const [tableDataSource, setTableDataSource] = useState<TableDataSource[]>([]);
+  const { selectDomainId } = domainManger;
+  const [dimValueMaps, setDimValueMaps] = useState<ISemantic.IDimensionValueSettingItem[]>([]);
+
+  useEffect(() => {
+    const dataSource = dimensionValueSettingList.map((item) => {
+      const { alias } = item;
+      return {
+        ...item,
+        alias: Array.isArray(alias) ? alias.join(',') : '',
+      };
+    });
+    setTableDataSource(dataSource);
+    setDimValueMaps(dimensionValueSettingList);
+  }, [dimensionValueSettingList]);
+
+  const handleSubmit = async () => {
+    await saveDimension({ dimValueMaps });
+    onSubmit?.(dimValueMaps);
+  };
+
+  const saveDimension = async (fieldsValue: any) => {
+    if (!dimensionItem?.id) {
+      return;
+    }
+    const queryParams = {
+      domainId: selectDomainId,
+      id: dimensionItem.id,
+      ...fieldsValue,
+    };
+    const { code, msg } = await updateDimension(queryParams);
+    if (code === 200) {
+      return;
+    }
+    message.error(msg);
+  };
+
+  const renderFooter = () => {
+    return (
+      <>
+        <Button onClick={onCancel}>取消</Button>
+        <Button
+          type="primary"
+          onClick={() => {
+            handleSubmit();
+          }}
+        >
+          完成
+        </Button>
+      </>
+    );
+  };
+
+  const columns = [
+    {
+      title: '技术名称',
+      dataIndex: 'techName',
+      width: 200,
+      formItemProps: {
+        fieldProps: {
+          placeholder: '请填写技术名称',
+        },
+        rules: [
+          {
+            required: true,
+            whitespace: true,
+            message: '此项是必填项',
+          },
+        ],
+      },
+    },
+    {
+      title: '业务名称',
+      dataIndex: 'bizName',
+      width: 200,
+      fieldProps: {
+        placeholder: '请填写业务名称',
+      },
+      formItemProps: {
+        rules: [
+          {
+            required: true,
+            whitespace: true,
+            message: '此项是必填项',
+          },
+        ],
+      },
+    },
+    {
+      title: '别名',
+      dataIndex: 'alias',
+      fieldProps: {
+        placeholder: '多个别名用英文逗号隔开',
+      },
+    },
+  ];
+
+  return (
+    <Modal
+      width={1000}
+      destroyOnClose
+      title="维度值设置"
+      style={{ top: 48 }}
+      maskClosable={false}
+      open={open}
+      footer={renderFooter()}
+      onCancel={onCancel}
+    >
+      <CommonEditTable
+        tableDataSource={tableDataSource}
+        columnList={columns}
+        onDataSourceChange={(tableData) => {
+          const dimValueMaps = tableData.map((item: TableDataSource) => {
+            return {
+              ...item,
+              alias: item.alias ? `${item.alias}`.split(',') : [],
+            };
+          });
+
+          setDimValueMaps(dimValueMaps);
+        }}
+      />
+    </Modal>
+  );
+};
+
+export default connect(({ domainManger }: { domainManger: StateType }) => ({
+  domainManger,
+}))(DimensionInfoModal);
diff --git a/webapp/packages/supersonic-fe/src/pages/SemanticModel/components/Entity/DefaultSettingForm.tsx b/webapp/packages/supersonic-fe/src/pages/SemanticModel/components/Entity/DefaultSettingForm.tsx
index 57a497f75..633b8227e 100644
--- a/webapp/packages/supersonic-fe/src/pages/SemanticModel/components/Entity/DefaultSettingForm.tsx
+++ b/webapp/packages/supersonic-fe/src/pages/SemanticModel/components/Entity/DefaultSettingForm.tsx
@@ -11,7 +11,7 @@ import {
 } from './utils';
 import styles from '../style.less';
 import { ISemantic } from '../../data';
-import { ChatConfigType, TransType } from '../../enum';
+import { ChatConfigType, TransType, SemanticNodeType } from '../../enum';
 import TransTypeTag from '../TransTypeTag';
 
 type Props = {
@@ -99,7 +99,7 @@ const DefaultSettingForm: ForwardRefRenderFunction<any, Props> = (
           name,
           label: (
             <>
-              <TransTypeTag type={TransType.DIMENSION} />
+              <TransTypeTag type={SemanticNodeType.DIMENSION} />
               {name}
             </>
           ),
@@ -115,7 +115,7 @@ const DefaultSettingForm: ForwardRefRenderFunction<any, Props> = (
           name,
           label: (
             <>
-              <TransTypeTag type={TransType.METRIC} />
+              <TransTypeTag type={SemanticNodeType.METRIC} />
               {name}
             </>
           ),
@@ -198,30 +198,56 @@ const DefaultSettingForm: ForwardRefRenderFunction<any, Props> = (
           </FormItem>
         )}
         {chatConfigType === ChatConfigType.AGG && (
-          <FormItem
-            name="metricIds"
-            label={
-              <FormItemTitle
-                title={'指标'}
-                subTitle={'问答搜索结果选择中，如果没有指定指标，将会采用默认指标进行展示'}
+          <>
+            {/* <FormItem
+              name="metricIds"
+              label={
+                <FormItemTitle
+                  title={'指标'}
+                  subTitle={'问答搜索结果选择中，如果没有指定指标，将会采用默认指标进行展示'}
+                />
+              }
+            >
+              <Select
+                mode="multiple"
+                allowClear
+                style={{ width: '100%' }}
+                filterOption={(inputValue: string, item: any) => {
+                  const { label } = item;
+                  if (label.includes(inputValue)) {
+                    return true;
+                  }
+                  return false;
+                }}
+                placeholder="请选择展示指标信息"
+                options={metricListOptions}
               />
-            }
-          >
-            <Select
-              mode="multiple"
-              allowClear
-              style={{ width: '100%' }}
-              filterOption={(inputValue: string, item: any) => {
-                const { label } = item;
-                if (label.includes(inputValue)) {
-                  return true;
-                }
-                return false;
-              }}
-              placeholder="请选择展示指标信息"
-              options={metricListOptions}
-            />
-          </FormItem>
+            </FormItem>
+            <FormItem
+              name="ratioMetricIds"
+              label={
+                <FormItemTitle
+                  title={'同环比指标'}
+                  subTitle={'问答搜索含有指定的指标，将会同时计算该指标最后一天的同环比'}
+                />
+              }
+            >
+              <Select
+                mode="multiple"
+                allowClear
+                style={{ width: '100%' }}
+                filterOption={(inputValue: string, item: any) => {
+                  const { label } = item;
+                  if (label.includes(inputValue)) {
+                    return true;
+                  }
+                  return false;
+                }}
+                placeholder="请选择同环比指标"
+                options={metricListOptions}
+              />
+            </FormItem> */}
+          </>
         )}
 
         <FormItem
diff --git a/webapp/packages/supersonic-fe/src/pages/SemanticModel/components/Entity/DimensionAndMetricVisibleModal.tsx b/webapp/packages/supersonic-fe/src/pages/SemanticModel/components/Entity/DimensionAndMetricVisibleModal.tsx
index 8c65cc0e5..166ead06b 100644
--- a/webapp/packages/supersonic-fe/src/pages/SemanticModel/components/Entity/DimensionAndMetricVisibleModal.tsx
+++ b/webapp/packages/supersonic-fe/src/pages/SemanticModel/components/Entity/DimensionAndMetricVisibleModal.tsx
@@ -15,7 +15,7 @@ type Props = {
   settingSourceList: any[];
   onCancel: () => void;
   visible: boolean;
-  onSubmit: (params?: any) => void;
+  onSubmit: (params?: { isSilenceSubmit?: boolean }) => void;
 };
 
 const dimensionConfig = {
@@ -72,7 +72,8 @@ const DimensionAndMetricVisibleModal: React.FC<Props> = ({
     }
   }, [entityData, settingSourceList]);
 
-  const saveEntity = async () => {
+  const saveEntity = async (submitData: any, isSilenceSubmit = false) => {
+    const { selectedKeyList, knowledgeInfosMap } = submitData;
     const globalKnowledgeConfigFormFields = await formRef?.current?.getFormValidateFields?.();
     let globalKnowledgeConfig = entityData.globalKnowledgeConfig;
     if (globalKnowledgeConfigFormFields) {
@@ -127,8 +128,10 @@ const DimensionAndMetricVisibleModal: React.FC<Props> = ({
       id,
     });
     if (code === 200) {
-      onSubmit?.();
-      message.success('保存成功');
+      if (!isSilenceSubmit) {
+        message.success('保存成功');
+      }
+      onSubmit?.({ isSilenceSubmit });
       return;
     }
     message.error(msg);
@@ -145,7 +148,7 @@ const DimensionAndMetricVisibleModal: React.FC<Props> = ({
         <Button
           type="primary"
           onClick={() => {
-            saveEntity();
+            saveEntity({ selectedKeyList, knowledgeInfosMap });
           }}
         >
           完成
@@ -160,8 +163,9 @@ const DimensionAndMetricVisibleModal: React.FC<Props> = ({
       key: 'visibleSetting',
       children: (
         <DimensionMetricVisibleTransfer
-          onKnowledgeInfosMapChange={(knowledgeInfosMap) => {
-            setKnowledgeInfosMap(knowledgeInfosMap);
+          onKnowledgeInfosMapChange={(knowledgeInfos) => {
+            setKnowledgeInfosMap(knowledgeInfos);
+            saveEntity({ selectedKeyList, knowledgeInfosMap: knowledgeInfos }, true);
           }}
           knowledgeInfosMap={knowledgeInfosMap}
           titles={settingTypeConfig.titles}
@@ -169,6 +173,7 @@ const DimensionAndMetricVisibleModal: React.FC<Props> = ({
           targetList={selectedKeyList}
           onChange={(newTargetKeys) => {
             handleTransferChange(newTargetKeys);
+            saveEntity({ selectedKeyList: newTargetKeys, knowledgeInfosMap }, true);
           }}
         />
       ),
@@ -177,10 +182,12 @@ const DimensionAndMetricVisibleModal: React.FC<Props> = ({
       label: '全局维度值过滤',
       key: 'dimensionValueFilter',
       children: (
-        <DimensionValueSettingForm
-          initialValues={globalKnowledgeConfigInitialValues}
-          ref={formRef}
-        />
+        <div style={{ margin: '0 auto', width: '975px' }}>
+          <DimensionValueSettingForm
+            initialValues={globalKnowledgeConfigInitialValues}
+            ref={formRef}
+          />
+        </div>
       ),
     },
   ];
diff --git a/webapp/packages/supersonic-fe/src/pages/SemanticModel/components/Entity/DimensionMetricVisibleForm.tsx b/webapp/packages/supersonic-fe/src/pages/SemanticModel/components/Entity/DimensionMetricVisibleForm.tsx
index 616061f7f..ac8a92f7c 100644
--- a/webapp/packages/supersonic-fe/src/pages/SemanticModel/components/Entity/DimensionMetricVisibleForm.tsx
+++ b/webapp/packages/supersonic-fe/src/pages/SemanticModel/components/Entity/DimensionMetricVisibleForm.tsx
@@ -74,9 +74,11 @@ const DimensionMetricVisibleForm: ForwardRefRenderFunction<any, Props> = ({
           onCancel={() => {
             setDimensionModalVisible(false);
           }}
-          onSubmit={() => {
+          onSubmit={(params) => {
             onSubmit?.();
-            setDimensionModalVisible(false);
+            if (!params?.isSilenceSubmit) {
+              setDimensionModalVisible(false);
+            }
           }}
         />
       )}
diff --git a/webapp/packages/supersonic-fe/src/pages/SemanticModel/components/Entity/DimensionValueSettingForm.tsx b/webapp/packages/supersonic-fe/src/pages/SemanticModel/components/Entity/DimensionValueSettingForm.tsx
index b5107bf1e..adaf1a58a 100644
--- a/webapp/packages/supersonic-fe/src/pages/SemanticModel/components/Entity/DimensionValueSettingForm.tsx
+++ b/webapp/packages/supersonic-fe/src/pages/SemanticModel/components/Entity/DimensionValueSettingForm.tsx
@@ -5,8 +5,7 @@ import { Form, Input } from 'antd';
 import { formLayout } from '@/components/FormHelper/utils';
 import { isString } from 'lodash';
 import styles from '../style.less';
-import CommonEditList from '../../components/CommonEditList/index';
-import SqlEditor from '@/components/SqlEditor';
+import CommonEditList from '../../components/CommonEditList';
 type Props = {
   initialValues: any;
   onSubmit?: () => void;
